package body Game.Time is

	Pre_Time: Ada.Calendar.Time;

	procedure Wait is
		use type Ada.Calendar.Time;
		T: Ada.Calendar.Time := Ada.Calendar.Clock;
		S: Duration := T - Pre_Time;
	begin
		if Step * 0.9 > S then 
			delay Step - S;
		end if;
		Pre_Time := Pre_Time + Step;
	end Wait;

	procedure Reset is
	begin
		Pre_Time := Ada.Calendar.Clock;
	end Reset;

end Game.Time;
